package ru.dbotthepony.kstarbound.defs.item

import ru.dbotthepony.kstarbound.json.builder.JsonFactory
import ru.dbotthepony.kstarbound.json.builder.JsonImplementation

@JsonImplementation(LeveledStatusEffect::class)
interface ILeveledStatusEffect {
	val levelFunction: String
	val stat: String
	val baseMultiplier: Double
	val amount: Double
}

@JsonFactory
data class LeveledStatusEffect(
	override val levelFunction: String,
	override val stat: String,
	override val baseMultiplier: Double = 1.0,
	override val amount: Double = 0.0,
) : ILeveledStatusEffect
