package ru.dbotthepony.kstarbound.defs.tile

import ru.dbotthepony.kstarbound.json.builder.IStringSerializable

enum class TileDamageType(override val jsonName: String) : IStringSerializable {
	// Damage done that will not actually kill the target
	PROTECTED("protected"),
	// Best at chopping down trees, things made of wood, etc.
	PLANT("plantish"),
	// For digging / drilling through materials
	BLOCK("blockish"),
	// Gravity gun etc
	BEAM("beamish"),
	// Penetrating damage done passivly by explosions.
	EXPLOSIVE("explosive"),
	// Can melt certain block types
	FIRE("fire"),
	// Can "till" certain materials into others
	TILLING("tilling");
}
